System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

A resource writer or resource reader can be used to serialize or deserialze objects or data according to the specified resource settings.

Provides an interface for designers to access resource readers and writers for specific resource types.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Resources.IResourceReader ``

  If no resources are associated with the designer for the specified culture, this method returns null.

  Locates the resource reader for the specified culture and returns it.

  An interface that contains the resources for the culture, or null if no resources for the culture exist.

  The of the resource for which to retrieve a resource reader.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Resources.IResourceWriter ``

  This method creates a new resource for the specified culture and destroys an existing resource, if one already exists.

  Locates the resource writer for the specified culture and returns it.

  An interface for the specified culture.

  The of the resource for which to create a resource writer.